Name:      xings-software
Version:   0.3.5
Release:   2%{?dist}
Summary:   Session applications to manage packages

License:   GPLv2+
URL:       https://github.com/matiasdelellis/xings-software
Source0:   https://github.com/matiasdelellis/xings-software/releases/download/v%{version}/xings-software-%{version}.tar.xz

BuildRequires: glib2-devel >= 2.25.8
BuildRequires: gtk3-devel
BuildRequires: libnotify-devel >= 0.7.0
BuildRequires: desktop-file-utils
BuildRequires: gettext
BuildRequires: libtool
BuildRequires: startup-notification-devel
BuildRequires: fontconfig-devel
BuildRequires: libxslt
BuildRequires: docbook-utils
BuildRequires: systemd-devel
BuildRequires: polkit-devel
BuildRequires: itstool
BuildRequires: intltool

%if %{defined fedora} || %{defined centos}
BuildRequires: dbus-glib-devel
BuildRequires: PackageKit-devel >= 0.9.1
%endif

%if %{defined suse_version}
BuildRequires: dbus-1-glib-devel
BuildRequires: PackageKit-devel >= 0.9.1
%endif

%if %{defined mageia}
BuildRequires: dbus-glib-devel
BuildRequires: lib64packagekit-devel >= 0.9.1
%endif

%description
Xings Software provides session applications for the PackageKit API.
There are several utilities designed for installing, updating and
removing packages on your system.

%prep
%setup -q

%build
%configure --enable-systemd
make %{?_smp_mflags}

%install
%make_install
%find_lang %{name}

%files -f %{name}.lang
%license COPYING
%doc AUTHORS README
%{_bindir}/xings-*
%config %{_sysconfdir}/xdg/autostart/xings-software-service.desktop
%dir %{_datadir}/xings-software
%dir %{_datadir}/xings-software/icons
%dir %{_datadir}/xings-software/icons/hicolor
%dir %{_datadir}/xings-software/icons/hicolor/*
%dir %{_datadir}/xings-software/icons/hicolor/*/*
%{_datadir}/xings-software/icons/hicolor/*/*/*.png
%{_datadir}/xings-software/icons/hicolor/scalable/*/*.svg*
%{_datadir}/icons/hicolor/*/*/*.png
%{_datadir}/icons/hicolor/scalable/*/*.svg*
%{_datadir}/applications/*.desktop
%{_datadir}/dbus-1/services/org.xings.PackageKit.service
%{_datadir}/glib-2.0/schemas/org.xings.software.gschema.xml
%{_datadir}/metainfo/*.appdata.xml
%{_datadir}/xings-software/gpk-*.ui
%{_mandir}/man1/*.1*

%changelog
* Fri Oct 22 2021 Matias De lellis <mati86dl@gmail.com> - 0.3.5-2
- Dependency tuning.

* Fri Oct 22 2021 Matias De lellis <mati86dl@gmail.com> - 0.3.5-1
- New release as Xings Software

* Thu Oct 07 2021 Matias De lellis <mati86dl@gmail.com> - 0.3.2-1
- New release

* Thu Sep 30 2021 Matias De lellis <mati86dl@gmail.com> - 0.3.1-2
- Adjust dependencies.

* Thu Sep 30 2021 Matias De lellis <mati86dl@gmail.com> - 0.3.1-1
- Initial achage for Fedora